python-bitarray_0.8.1-1build2_amd64.deb


Advertisement

Description

python-bitarray - Python module for efficient boolean array handling

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-bitarray
Package version: 0.8.1
Package release: 1build2
Package architecture: amd64
Package type: deb
Installed size: 237 B
Download size: 52.38 KB
Official Mirror: archive.ubuntu.com
The bitarry module provides an object type which efficiently represents an array of booleans. Bitarrays are sequence types and behave very much like usual lists. Eight bits are represented by one byte in contiguous block of memory. The user can select between two representations; little-endian and big-endian. Most of the functionality is implemented in C. Methods for accessing the machine representation are provided. This can be useful when bit level access to binary files is required, such as portable bitmap image files (.pbm). Also, when dealing with compressed data which uses variable bit length encoding, you may find this module useful.

Alternatives

    Download

    Source package: python-bitarray

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-bitarray deb package:
      # sudo apt-get install python-bitarray

    Files

    • /usr/lib/python2.7/dist-packages/bitarray/__init__.py
    • /usr/lib/python2.7/dist-packages/bitarray/_bitarray.x86_64-linux-gnu.so
    • /usr/lib/python2.7/dist-packages/bitarray/test_bitarray.py
    • /usr/lib/python2.7/dist-packages/bitarray-0.8.1.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/bitarray-0.8.1.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/bitarray-0.8.1.egg-info/top_level.txt
    • /usr/share/doc-base/python-bitarray
    • /usr/share/doc/python-bitarray/AUTHORS
    • /usr/share/doc/python-bitarray/README.html
    • /usr/share/doc/python-bitarray/README.rst.gz
    • /usr/share/doc/python-bitarray/TODO
    • /usr/share/doc/python-bitarray/changelog.Debian.gz
    • /usr/share/doc/python-bitarray/copyright
    • /usr/share/doc/python-bitarray/examples/README
    • /usr/share/doc/python-bitarray/examples/bloom.py
    • /usr/share/doc/python-bitarray/examples/compress.py
    • /usr/share/doc/python-bitarray/examples/decoding.py
    • /usr/share/doc/python-bitarray/examples/huffman.py
    • /usr/share/doc/python-bitarray/examples/mandel.py
    • /usr/share/doc/python-bitarray/examples/ndarray.py
    • /usr/share/doc/python-bitarray/examples/pbm.py
    • /usr/share/doc/python-bitarray/examples/runall
    • /usr/share/doc/python-bitarray/examples/sieve.py
    • /usr/share/doc/python-bitarray/examples/smallints.py

    Changelog

    2016-01-18 - Matthias Klose <doko@ubuntu.com> python-bitarray (0.8.1-1build2) xenial; urgency=medium * No-change rebuild to drop python3.4 support.

    2015-07-22 - Steve Langasek <steve.langasek@ubuntu.com> python-bitarray (0.8.1-1build1) wily; urgency=medium * No-change rebuild for python3.5 transition

    2014-06-15 - Jan Dittberner <jandd@debian.org> python-bitarray (0.8.1-1) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Jan Dittberner ] * New upstream version * run wrap-and-sort (affects debian/control and debian/copyright) * debian/control: bump Standards-Version to 3.9.5 * switch to pybuild - add dh-python, python-setuptools and python3-setuptools to Build- Depends - use python-all instead of python in Build-Depends - switch to debhelper (>= 9) - add X-Python-Version and X-Python3-Version to source package stanza - drop custom rules from debian/rules, add PYBUILD_NAME and --buildsystem=pybuild - add override_dh_auto_test to tell pybuild about the custom test system

    2012-05-18 - Jan Dittberner <jandd@debian.org> python-bitarray (0.8.0-2) unstable; urgency=low * add Python3 support - add new binary package stanza for python3-bitarray - add python3-all-dev and python3 (>= 3.1.3-2~) to Build-Depends - add python3 handling to debian/rules

    2012-05-17 - Jan Dittberner <jandd@debian.org> python-bitarray (0.8.0-1) unstable; urgency=low * New upstream version. * remove debian/patches/0001_fix_typo_in_example.patch, not relevant anymore * move from python-support to dh_python2 - remove python-support from Build-Depends - bump minimum python version to 2.6.6-3~ - remove debian/pycompat - add --with python2 to debian/rules * bump Standards-Version to 3.9.3 (no changes) * build README.html from README.rst using upstream's update_readme.py * run test suite * enable hardening build flags - import build flags in debian/rules - add dpkg-dev (>= 1.16.1~) to Build-Depends * update debian/copyright format

    2010-08-17 - Jan Dittberner <jandd@debian.org> python-bitarray (0.3.5-1) unstable; urgency=low * Initial release. (Closes: #593333)

    Advertisement
    Advertisement